This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 216132 - No possible to cancel cahnges in the TUI in non-English locale
No possible to cancel cahnges in the TUI in non-English locale
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 08:28 EST by Andy Shevchenko
Modified: 2009-01-07 13:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-12 09:24:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Kill described issue (318 bytes, patch)
2006-11-17 08:28 EST, Andy Shevchenko
no flags Details | Diff
More correct patch (499 bytes, patch)
2006-11-17 12:36 EST, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Andy Shevchenko 2006-11-17 08:28:26 EST
Description of problem:
I have installed the system-config-keyboard in uk_UA.UTF_8 locale.
The TUI intefrace has only one way to skip changes by push cancel button. 
However, the OK and Cancel produce the same behaviour.
It dosn't appear in C locale.

Version-Release number of selected component (if applicable):
1.2.7-1 from fc5
1.2.10 from fc6

How reproducible:
Just start in non-English locale where 'Cancel' word is differ written.

Steps to Reproduce:
1. Change active keymap (try to cat /etc/sysconfig/keyboard before)
2. Click on Cancel
3. Again look to /etc/sysconfig/keyboard
  
Actual results:
The keyboard file has been changed.

Additional info:
Please, consider attached small patch.
Comment 1 Andy Shevchenko 2006-11-17 08:28:26 EST
Created attachment 141471 [details]
Kill described issue
Comment 2 Andy Shevchenko 2006-11-17 08:39:18 EST
Also this affects to the RHEL 4AS at least.
Comment 3 Andy Shevchenko 2006-11-17 12:36:26 EST
Created attachment 141509 [details]
More correct patch
Comment 4 Red Hat Bugzilla 2007-08-21 01:29:40 EDT
User pnasrat@redhat.com's account has been closed
Comment 5 Bug Zapper 2008-04-04 00:44:48 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Lubomir Kundrak 2008-04-12 09:24:19 EDT
I applied your patch, thoug I was not able to reproduce 

Note You need to log in before you can comment on or make changes to this bug.